Perform
Early access
Company API v4 is the next-generation API and is under active development. Endpoints and fields may still change.
List all review responses
Returns a list of review responses
Returns a list of review responses
Query Parameters
review_cycle_ids?array<>
Filter by review cycle IDs
review_ids?array<>
Filter by review IDs
reviewee_ids?array<>
Filter by reviewee (people) IDs
review_cycle_type?string
Filter by review cycle type. Allowed values: manual, lifecycle
Value in
- "manual"
- "lifecycle"
created_at[gte]?string
Created at greater than or equal to
Format
date-timecreated_at[lte]?string
Created at less than or equal to
Format
date-timeupdated_at[gte]?string
Updated at greater than or equal to
Format
date-timeupdated_at[lte]?string
Updated at less than or equal to
Format
date-timepage?integer
Page offset to fetch.
Format
int32Default
1per_page?integer
Number of results to return per page.
Format
int32Default
50offset?integer
Pad a number of results.
Format
int32Default
0Response Body
application/json
curl -X GET "https://example.com/api/v4/perform/review_responses"{ "data": [ { "id": 0, "review_id": 0, "reviewee_id": 0, "reviewer_id": 0, "review_cycle_type": "manual", "review_cycle": "string", "type": "string", "status": "string", "submitted_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "answers": [ { "question": "string", "value": "string", "comment": "string" } ] } ], "metadata": { "page": 0, "per_page": 0, "total_pages": 0, "total_count": 0 }}